org.jboss.resteasy.skeleton.key

## Class AbstractOAuthClient

- java.lang.Object
- - org.jboss.resteasy.skeleton.key.AbstractOAuthClient

- Direct Known Subclasses:
    JaxrsOAuthClient, ServletOAuthClient

      public class AbstractOAuthClient
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `authUrl`
    `protected Client` | `client`
    `protected String` | `clientId`
    `protected String` | `codeUrl`
    `protected AtomicLong` | `counter`
    `protected String` | `password`
    `protected String` | `stateCookieName`
    `protected KeyStore` | `truststore`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractOAuthClient()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthUrl()`
    `Client` | `getClient()`
    `String` | `getClientId()`
    `String` | `getCodeUrl()`
    `String` | `getPassword()`
    `protected String` | `getStateCode()`
    `String` | `getStateCookieName()`
    `KeyStore` | `getTruststore()`
    `String` | `resolveBearerToken(String redirectUri, String code)`
    `void` | `setAuthUrl(String authUrl)`
    `void` | `setClient(Client client)`
    `void` | `setClientId(String clientId)`
    `void` | `setCodeUrl(String codeUrl)`
    `void` | `setPassword(String password)`
    `void` | `setStateCookieName(String stateCookieName)`
    `void` | `setTruststore(KeyStore truststore)`
    `void` | `start()`
    `void` | `stop()`
    `protected String` | `stripOauthParametersFromRedirect(String uri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientId

          protected String clientId

    - #### password

          protected String password

    - #### truststore

          protected KeyStore truststore

    - #### authUrl

          protected String authUrl

    - #### codeUrl

          protected String codeUrl

    - #### stateCookieName

          protected String stateCookieName

    - #### client

          protected Client client

    - #### counter

          protected final AtomicLong counter

  - ### Constructor Detail

    - #### AbstractOAuthClient

          public AbstractOAuthClient()

  - ### Method Detail

    - #### getStateCode

          protected String getStateCode()

    - #### start

          public void start()

    - #### stop

          public void stop()

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getPassword

          public String getPassword()

    - #### setPassword

          public void setPassword(String password)

    - #### getTruststore

          public KeyStore getTruststore()

    - #### setTruststore

          public void setTruststore(KeyStore truststore)

    - #### getAuthUrl

          public String getAuthUrl()

    - #### setAuthUrl

          public void setAuthUrl(String authUrl)

    - #### getCodeUrl

          public String getCodeUrl()

    - #### setCodeUrl

          public void setCodeUrl(String codeUrl)

    - #### getStateCookieName

          public String getStateCookieName()

    - #### setStateCookieName

          public void setStateCookieName(String stateCookieName)

    - #### getClient

          public Client getClient()

    - #### setClient

          public void setClient(Client client)

    - #### resolveBearerToken

          public String resolveBearerToken(String redirectUri,
                                  String code)

    - #### stripOauthParametersFromRedirect

          protected String stripOauthParametersFromRedirect(String uri)

Copyright © 2014. All Rights Reserved.